### Method

# GimpUi PatternSelectButton get_pattern

#### Declaration [src]

    const gchar*
    gimp_pattern_select_button_get_pattern (
      GimpPatternSelectButton* button
    )

#### Description [src]

Retrieves the name of currently selected pattern.

Available since: | 2.4

#### Return value

Returns: | `const gchar*`
| An internal copy of the pattern name which must not be freed.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.